Mantis Issue Tracking for Scribus
· Hosting provided by Anduin.net / Øverby Consulting ·

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0012282ScribusGeneralpublic2014-04-25 23:142014-05-12 10:00
ReporterFirasH 
Assigned Tojghali 
PriorityhighSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
Platformx86_64OSopenSUSEOS Version13.1
Product Version1.5.0svn 
Target Version1.5.0Fixed in Version1.5.0svn 
Summary0012282: Same .sla file cannot be loaded with different GUI languages
DescriptionWorking on the attached .sla file (created with Italian GUI language) I noticed that the same file cannot be loaded by Scribus if the GUI language was English or German (didn't test other languages).
Steps To Reproduce0) Download the attached .sla
1) Open the .sla with Italian GUI
Scribus works as expected.

2) Open the .sla with English/German GUI
Scribus crashes due to Signal 11
Additional InformationScribus 1.5.0 SVN (19087)


Program received signal SIGSEGV, Segmentation fault.
0x00000000007ffdde in QString::QString (this=0x7fffffffc900, other=...)
    at /home/.../Qt/5.2.1/gcc_64/include/QtCore/qstring.h:765
765 inline QString::QString(const QString &other) : d(other.d)
(gdb) bt
#0 0x00000000007ffdde in QString::QString (this=0x7fffffffc900, other=...)
    at /home/.../Qt/5.2.1/gcc_64/include/QtCore/qstring.h:765
0000001 0x00000000009c6567 in Style::name (this=0x0)
    at /home/.../Scribus/scribus/style.h:81
0000002 0x0000000000a98943 in PageItem_TextFrame::layout (this=0x4306e60)
    at /home/.../Scribus/scribus/pageitem_textframe.cpp:1633
0000003 0x0000000000d2c7e4 in ScribusMainWindow::loadDoc (this=0x1af5640, fileName=...)
    at /home/.../Scribus/scribus/scribus.cpp:4208
0000004 0x0000000000d11592 in ScribusMainWindow::startUpDialog (this=0x1af5640)
    at /home/.../Scribus/scribus/scribus.cpp:1961
0000005 0x0000000000d76452 in ScribusCore::startGUI (this=0x1af8b30, showSplash=true,
    showFontInfo=false, showProfileInfo=false, newGuiLanguage=..., prefsUserFile=...)
    at /home/.../Scribus/scribus/scribuscore.cpp:134
0000006 0x0000000000d72f38 in ScribusQApp::init (this=0x7fffffffdbb0)
    at /home/.../Scribus/scribus/scribusapp.cpp:287
0000007 0x00000000012cf27f in mainApp (argc=3, argv=0x7fffffffdd28)
    at /home/.../Scribus/scribus/main_nix.cpp:83
0000008 0x00000000012cf224 in main (argc=3, argv=0x7fffffffdd28)
    at /home/.../Scribus/scribus/main_nix.cpp:54
TagsNo tags attached.
Patch
Attached Files? file icon Pila.sla [^] (2,745,420 bytes) 2014-04-25 23:14

- Relationships

-  Notes
(0031813)
JLuc (updater)
2014-04-25 23:57

Crashes with french UI too.
(0031814)
jghali (administrator)
2014-04-26 02:04

A few features added by cezary were saving some style related information in a language dependent way. This is now fixed. I added a workaround to load current docs.
(0031819)
FirasH (developer)
2014-04-26 15:39

Re-tested with Scribus 1.5.0 SVN (19091):
French/German/English GUI are able to load the file successfully.

- Issue History
Date Modified Username Field Change
2014-04-25 23:14 FirasH New Issue
2014-04-25 23:14 FirasH File Added: Pila.sla
2014-04-25 23:45 jghali Target Version => 1.5.0
2014-04-25 23:57 JLuc Note Added: 0031813
2014-04-26 02:04 jghali Note Added: 0031814
2014-04-26 02:04 jghali Status new => resolved
2014-04-26 02:04 jghali Fixed in Version => 1.5.0svn
2014-04-26 02:04 jghali Resolution open => fixed
2014-04-26 02:04 jghali Assigned To => jghali
2014-04-26 15:39 FirasH Note Added: 0031819
2014-05-12 10:00 christoph_s Status resolved => closed



Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker